Envia uma mensagem para o histórico do cliente, criando o cliente e oportunidade caso ainda não existam.
curl --request POST \
--url https://api.example.com/api/services/app/Atendimento/EnviarMensagemEAutoCriar \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"phoneNumber": "<string>",
"type": 123,
"content": "<string>",
"name": "<string>",
"file": "<string>",
"source": 123,
"isBeingAssistedByAI": true,
"subsidiaryCode": "<string>"
}
'import requests
url = "https://api.example.com/api/services/app/Atendimento/EnviarMensagemEAutoCriar"
payload = {
"phoneNumber": "<string>",
"type": 123,
"content": "<string>",
"name": "<string>",
"file": "<string>",
"source": 123,
"isBeingAssistedByAI": True,
"subsidiaryCode": "<string>"
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
phoneNumber: '<string>',
type: 123,
content: '<string>',
name: '<string>',
file: '<string>',
source: 123,
isBeingAssistedByAI: true,
subsidiaryCode: '<string>'
})
};
fetch('https://api.example.com/api/services/app/Atendimento/EnviarMensagemEAutoCriar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
123Atendimento
Envia uma mensagem para o histórico do cliente, criando o cliente e oportunidade caso ainda não existam.
POST
/
api
/
services
/
app
/
Atendimento
/
EnviarMensagemEAutoCriar
Envia uma mensagem para o histórico do cliente, criando o cliente e oportunidade caso ainda não existam.
123Envia uma mensagem ao histórico do cliente. Se o cliente e a oportunidade ainda não
existirem, são criados automaticamente.
Autentique-se antes (Autenticação).
curl -X POST "https://gateway.hubcred.com.br/external/v1/api/services/app/Atendimento/EnviarMensagemEAutoCriar" \
-H "Authorization: Bearer SEU_TOKEN" -H "Content-Type: application/json" \
-d '{ "type": 1, "content": "Olá!", "name": "Maria de Tal", "phoneNumber": "11999998888", "isBeingAssistedByAI": true, "...": "demais campos (file, source, subsidiaryCode) no schema abaixo" }'
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Dados da mensagem e informações do cliente
Response
OK
The response is of type integer<int32>.
⌘I